Bug 75869 - Compilation errors on build-webkit --debug --no-workers on mac.
Summary: Compilation errors on build-webkit --debug --no-workers on mac.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.6
: P2 Minor
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-09 10:56 PST by Pablo Flouret
Modified: 2012-01-31 00:22 PST (History)
2 users (show)

See Also:


Attachments
proposed patch (2.54 KB, patch)
2012-01-09 10:57 PST, Pablo Flouret
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo Flouret 2012-01-09 10:56:00 PST
Compilation errors on build-webkit --debug --no-workers on mac.
Comment 1 Pablo Flouret 2012-01-09 10:57:13 PST
Created attachment 121691 [details]
proposed patch
Comment 2 Adam Barth 2012-01-25 01:49:53 PST
Comment on attachment 121691 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=121691&action=review

> Source/WebKit/mac/Workers/WebWorkersPrivate.mm:39
> -#if ENABLE_WORKERS
> +#if defined(ENABLE_WORKERS) && ENABLE_WORKERS

We can't used ENABLE(WORKERS) here?
Comment 3 Pablo Flouret 2012-01-25 01:51:21 PST
Comment on attachment 121691 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=121691&action=review

>> Source/WebKit/mac/Workers/WebWorkersPrivate.mm:39
>> +#if defined(ENABLE_WORKERS) && ENABLE_WORKERS
> 
> We can't used ENABLE(WORKERS) here?

Doesn't include config.h, i think.
Comment 4 Adam Barth 2012-01-25 01:52:24 PST
Comment on attachment 121691 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=121691&action=review

>>> Source/WebKit/mac/Workers/WebWorkersPrivate.mm:39
>>> +#if defined(ENABLE_WORKERS) && ENABLE_WORKERS
>> 
>> We can't used ENABLE(WORKERS) here?
> 
> Doesn't include config.h, i think.

Crazy
Comment 5 WebKit Review Bot 2012-01-25 03:29:19 PST
Comment on attachment 121691 [details]
proposed patch

Rejecting attachment 121691 [details] from commit-queue.

New failing tests:
media/audio-garbage-collect.html
Full output: http://queues.webkit.org/results/11264467
Comment 6 Pablo Flouret 2012-01-25 10:13:31 PST
Test failure looks unrelated.
Comment 7 Adam Barth 2012-01-30 22:59:54 PST
Comment on attachment 121691 [details]
proposed patch

Yeah, sorry.  That test was flaky for a while.
Comment 8 WebKit Review Bot 2012-01-31 00:22:50 PST
Comment on attachment 121691 [details]
proposed patch

Clearing flags on attachment: 121691

Committed r106342: <http://trac.webkit.org/changeset/106342>
Comment 9 WebKit Review Bot 2012-01-31 00:22:54 PST
All reviewed patches have been landed.  Closing bug.